| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | List of all members
ProgressWindow Class Reference

## Public Member Functions
| ProgressWindow (String title)
| ProgressWindow (String title, int minimum, int maximum)
void | IncrementProgress (String label)
void | IncrementProgress (String label, int increment)
void | SetProgress (String label, int value)
void | SetScaledProgress (String label, int value)

## Detailed Description

Popup window with a title bar, an info label, and a progress bar.

## Constructor & Destructor Documentation

## ◆ ProgressWindow() [1/2]

ProgressWindow::ProgressWindow | ( | String | title | ) |

Shows a new progress dialog which is modal and has no buttons or icons, with an increment of 1%.

Parameters

  title | the progress dialog title

## ◆ ProgressWindow() [2/2]

ProgressWindow::ProgressWindow | ( | String | title,
|  | int | minimum,
|  | int | maximum
| ) |  |

Shows a new progress dialog which is modal and has no buttons or icons, with the given increment.

Note
  the internal value of the progress dialog is always stored from 0 to 100%.

Parameters

  title | the progress dialog title
  minimum | the beginning progress position
  maximum | the end progress position, increment = 100.0f / ( maximum - minimum )

Precondition
  maximum >= minimum

## Member Function Documentation

## ◆ IncrementProgress() [1/2]

void ProgressWindow::IncrementProgress | ( | String | label | ) |

Updates the progress dialog label and increments progress by increment percentage points (default of 1%)

Parameters

  label | the string to set the progress dialog label to

## ◆ IncrementProgress() [2/2]

void ProgressWindow::IncrementProgress | ( | String | label,
|  | int | increment
| ) |  |

Updates the progress dialog label and increments the progress by the given percentage points.

Parameters

  label | the string to set the progress dialog label to
  increment | the amount to increase the progress by

## ◆ SetProgress()

void ProgressWindow::SetProgress | ( | String | label,
|  | int | value
| ) |  |

Updates the progress dialog label and assigns the progress to an exact percentage value.

Parameters

  label | the string to set the progress dialog label to
  value | the value to set the progress to

## ◆ SetScaledProgress()

void ProgressWindow::SetScaledProgress | ( | String | label,
|  | int | value
| ) |  |

Updates the progress dialog label and assigns the progress to a scaled value i.e.

the value of the progress bar = value * increment (as calculated in the constructor)

Parameters

  label | the string to set the progress dialog label to
  value | progress will be set to this value scaled by increment

The documentation for this class was generated from the following file:

- ProgressWindow.i